
  
/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
  /* Background Colors: */
  --background-color: #000000;
  --content-background-color: #1c0000ff;
  --sidebar-background-color: #1c0000ff;

  /* Text Colors: */
  --text-color: #ff050057;
  --sidebar-text-color: #ff050057;
  --link-color: #ff0500a8;
  --link-color-hover: #ff0500a8;

  /* Text: */
  --font: 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', Osaka, メイリオ, Meiryo, 'ＭＳ Ｐゴシック', 'MS PGothic', 'ＭＳ ゴシック' , 'MS Gothic', 'Noto Sans CJK JP', TakaoPGothic, sans-serif;
  --heading-font: 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', Osaka, メイリオ, Meiryo, 'ＭＳ Ｐゴシック', 'MS PGothic', 'ＭＳ ゴシック' , 'MS Gothic', 'Noto Sans CJK JP', TakaoPGothic, sans-serif;
  --font-size: 12px;

  /* Other Settings: */
  --margin: 40px;
  --padding: 24px;
  --border: 5px solid #330100;
  --round-borders: 6px;
  --sidebar-width: 300px;
}

/* -------------------------------------------------------- */
/* BASICS */
/* -------------------------------------------------------- */

* {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  min-height: 100vh;
  font-size: var(--font-size);
  margin: 0;
  padding: var(--margin);
  color: var(--text-color);
  font-family: var(--font);
  line-height: 1.2;
  background: var(--background-color);
  background-image: url("https://64.media.tumblr.com/b91e75c71fd46796f56a382043db810a/f290feeca5e77aa0-fc/s2048x3072/b0913b72da0ece22dadc68d753e6be2bd607a4a5.pnj");
  
}

::selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

mark {
  /* Text highlighted by using the <mark> element */
  text-shadow: 1px 1px 4px var(--link-color);
  background-color: inherit;
  color: var(--text-color); 
} 

/* Links: */  
a {
  text-decoration: underline;
}

a,
a:visited {
  color: var(--link-color);
}

a:hover,
a:focus {
  color: var(--link-color-hover);
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* MAIN LAYOUT */
/* -------------------------------------------------------- */

.main-layout {
  display: grid;
  grid-template-columns: var(--sidebar-width) 1fr var(--sidebar-width);
  grid-gap: var(--margin);
  width: 100%;
  flex: 1;
}

.main-layout .container {
  margin: 0;
}

.content-container {
  min-height: 100%;
}

/* -------------------------------------------------------- */
/* MOBILE LAYOUT */
/* -------------------------------------------------------- */

@media (max-width: 768px) {
  .main-layout {
    display: flex;
    flex-direction: column;
    gap: var(--margin);
  }

  .nav-container,
  .changelog-container {
        max-width: none;
  }
}

/* -------------------------------------------------------- */
/* ALL CONTAINERS */
/* -------------------------------------------------------- */

.container {
  display: flex;
  flex-direction: column;
  background: var(--content-background-color);
  border: var(--border);
  border-radius: var(--round-borders);
  color: var(--text-color);
  font-size: var(--font-size);
  padding: var(--padding);
  margin: var(--margin);
}

.nav-container,
.changelog-container {
  max-width: var(--sidebar-width);
}

/* -------------------------------------------------------- */
/* HEADER IMAGE */
/* -------------------------------------------------------- */

.header-image img {
  width: 100%;
  margin-bottom: var(--margin);
  border: var(--border);
  border-radius: var(--round-borders);
  object-fit: contain;
}

/* -------------------------------------------------------- */
/* SIDEBARS */
/* -------------------------------------------------------- */

.nav-container {
  line-height: 1.2em;
}

.nav-container .title {
  font-size: 1.2em;
  font-weight: bold;
}

.nav-container .nav-links {
  display: flex;
  flex-direction: column;
  font-size: var(--font-size);
  padding-left: 5px;
}

.nav-container .nav-links li {
  margin-bottom: 0.9em;
  list-style-type: none;
}

.nav-container details[open] ul {
  padding-left: 1.25em;
}

.nav-container details[open]::details-content {
    padding-top: 0.8em;
}

.changelog-container {
  line-height: 1.2em;
}

.changelog-container h2 {
  font-size: 1.2em;
  font-weight: bold;
}

.changelog-container .log-item:not(:last-child) {
  margin-bottom: 1em;
}

/* Site Button: */

.site-button {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.site-button textarea {
  font-family: monospace;
  font-size: 0.7em;
}

/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

.footer-container {
  justify-content: center;
  align-items: center;
  padding: 15px 0;
  font-size: 0.75em;
  width: 100%;
  margin-left: 0;
  margin-bottom: 0;
}

/* -------------------------------------------------------- */
/* CONTENT */
/* -------------------------------------------------------- */

.content-container {
  line-height: 1.5em;
}

.content-container h1,
.content-container h2,
.content-container h3,
.content-container h4,
.content-container h5,
.content-container h6 {
  font-family: var(--heading-font);
  margin: 0;
  line-height: 1.5;
}

.content-container h1 {
  font-size: 1.5em;
}

.content-container h2 {
  font-size: 1.4em;
}

.content-container hr {
  align-self: center;
  border: none;
  width: 100%;
  border-top: var(--border);
  margin: 1.5em 0;
}

.content-container p {
  margin: 0.75em 0 0;
}

.content-container ul {
  padding-left: 1.5em;
  margin: 0.75em 0 0;
}

/* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* please do not remove this. */

#skip-to-content-link {
  position: fixed;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0.375rem 0.75rem;
  line-height: 1;
  font-size: 1.25rem;
  background-color: var(--content-background-color);
  color: var(--text-color);
  transform: translateY(-3rem);
  transition: transform 0.1s ease-in;
  z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  transform: translateY(0);
}
